local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST

local EJName = EJ_GetEncounterInfo(1123)
local Wolfes = select(2,EJ_GetCreatureInfo(3,1123))
do
	local data = {
		version = 13,
		key = "Kagraz",
		zone = L.zone["Blackrock Foundry"],
		category = L.zone["Blackrock Foundry"],
		--name = L.npc_BlackrockFoundry["Kagraz"],
		name = EJName,
		icon = "INTERFACE\\ENCOUNTERJOURNAL\\UI-EJ-BOSS-Flamebender Kagraz.BLP:35:35",
		respawntime = 29.5,
		triggers = {
			scan = {76814, 77337}, 
			encounterid = 1689,
			ejid = 1123,
		},
		onactivate = {
			tracing = {76814, 77337},
			powers={true},
			tracerstart = true,
			combatstop = true,
			unittracing = {"boss1","boss2","boss3","boss4"},
			defeat = 76814,
		},
		windows = {
			proxwindow = true,
		},
		enrage = {
			--timelfr = 600,
			--timeflex = 600,
			--timeheroic = 600,
			--timemythic = 600,
		},
		userdata = {
			wolvesActive = 0,
			wolves = "",
			wolvesunits = {type = "container"},
			moltenTorrentOnMe = 0,
			blazingTargetsunits = {type = "container", wipein = 3},
			blazingTargetsunits2 = {type = "container", wipein = 3},
			Fixateunits = {type = "container", wipein = 3},
			Fixateunits2 = {type = "container", wipein = 3},
			MoltenTorrentsay = 5,
			firestorm = 0,
		},	
		arrows = {
			MoltenTorrentarrow = {
				varname = SN[154938].." - "..L.alert["GO TO HIM!"],
				unit = "#5#",
				persist = 5,
				action = "TOWARD",
				msg = L.alert["GO TO HIM!"],
				spell = SN[154938],
				range1 = 2,
				range2 = 8,
				range3 = 12,
				desc = 154938,
				icon = ST[154938],
				enabled = false,
			},
			Fixatearrow = {
				varname = SN[154952],
				unit = "#5#",
				persist = 10,
				action = "AWAY",
				msg = L.alert["MOVE AWAY!"],
				spell = SN[154952],
				range1 = 10,
				range2 = 15,
				range3 = 20,
				desc = 154952,
				icon = ST[154952],
				exmythic = true,
			},
			BlazingRadiancearrow = {
				varname = SN[155277],
				unit = "&closest|blazingTargetsunits2&",
				persist = 2,
				action = "AWAY",
				msg = L.alert["MOVE AWAY!"],
				spell = SN[155277],
				range1 = 1,
				range2 = 6,
				range3 = 10,
				desc = 155277,
				icon = ST[155277],
			},			
		},	
		raidicons = {
			MoltenTorrentmark = {
				varname = SN[154938],
				type = "FRIENDLY",
				persist = 60,
				unit = "#5#", 
				icon = 8,
				desc = 154938,
				icon2 = ST[154938],
			},
			BlazingRadiancemark = {
				varname = SN[155277],
				type = "MULTIFRIENDLY",
				persist = 60,
				unit = "#5#", 
				icon = 1,
				total = 2,
				reset = 10,				
				desc = 155277,
				icon2 = ST[155277],
				exmythic = true,
			},
			Wolvesmark = {
				varname = Wolfes,
				type = "MULTIENEMY",
				persist = 120,
				unit = "<wolves>",
				icon = 3,
				total = 2,
				reset = 10,	
				--icon2 = EJST[9549],
			},	
		},	
		timers = {
			timerMoltenTorrent = {
				{
					"set",{MoltenTorrentsay = "DECR|1"},
				},
				{
					"expect",{"<MoltenTorrentsay>",">","1"},
					"announce","MoltenTorrentsaycountdown",
					"scheduletimer",{"timerMoltenTorrent",1},
				},
			},
			timerFixate = { 
				{
					"message","mFixate",
				},
			},			
			timerBlazingRadiance = { 
				{
					"message","mBlazingRadiance",
				},
				--{
				--	"expect",{"<moltenTorrentOnMe>","==","0"},
				--	"openwindow",{"10","&list|blazingTargetsunits2&",true,155277},
				--	"arrow","BlazingRadiancearrow",
			--	},
			},
			timerBlazingRadianceArrow = { 
				{
					"arrow","BlazingRadiancearrow",
					"scheduletimer",{"timerBlazingRadianceArrow",2},		
				},
			},
			timerWolfs = {
				{
					"expect",{"<wolvesActive>","==","1"},
					"invoke",{
						{
							"expect",{"&bossexist|76794&","==","false"},
							"batchquash",{"FixateActive","OverheatedActive","Rekindle"},
							"tracing",{76814},							
							"set",{wolvesActive = 0},
						},
						{
							"scheduletimer",{"timerWolfs",1},
						},
					},
				},
			},				
		},
		announces = { 
			MoltenTorrentsay = {
				varname = format(L.alert["%s %s %s!"],SN[154938],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[154938],L.alert["on"],L.alert["Me"]),
				desc = 154938,
				icon = ST[154938],
				--flashcolor = "RED",
				--flashscreen = true,
			},		
			MoltenTorrentsaycountdown = {
				varname = format(L.alert["%s %s 2"],SN[154938],L.alert["in"]),
				type = "SAY",
				msg = format(L.alert["%s %s <MoltenTorrentsay>"],SN[154938],L.alert["in"]),
				desc = 154938,
				icon = ST[154938],				
			},
			BlazingRadiancesay = {
				varname = format(L.alert["%s %s %s!"],SN[155277],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[155277],L.alert["on"],L.alert["Me"]),
				desc = 155277,
				icon = ST[155277],
				flashcolor = "RED",
				flashscreen = true,
			},				
		},			
		messages = {
			mSummonEnchantedArmaments = {
				varname = format(L.alert["%s!"],SN[175007]),
				type = "message",
				text = format(L.alert["%s!"],SN[175007]),
				color1 = "ORANGE",
				sound = "ALERT13",
				ability = 9352,
				icon = EJST[9352],
			},
			mCinderWolves = {
				varname = format(L.alert["%s!"],SN[155776]),
				type = "message",
				text = format(L.alert["%s!"],SN[155776]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 155776,
				icon = ST[155776],
			},
			mLavaSlash = {
				varname = format(L.alert["%s!"],SN[155318]),
				type = "message",
				text = format(L.alert["%s!"],SN[155318]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 155318,
				icon = ST[155318],
			},						
			mMoltenTorrent = {
				varname = format(L.alert["%s %s %s"],SN[154932],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[154932],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 154932,
				icon = ST[154932],
			},				
			mFixate = {
				varname = format(L.alert["%s %s %s"],SN[154952],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|Fixateunits&"],SN[154952],L.alert["on"]),
				color1 = "ORANGE",
				sound = "ALERT13",
				desc = 154952,
				icon = ST[154952],
			},				
			--[[mOverheated = {
				varname = format(L.alert["%s %s %s"],SN[154950],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[154950],L.alert["on"]),
				color1 = "TAN",
				sound = "ALERT13",
				desc = 154950,
				icon = ST[154950],
			},--]]
			mCharringBreath = {
				varname = format(L.alert["%s %s %s (10)"],SN[155074],L.alert["on"],L.alert["player"]),
				type = "message",
				--text = format(L.alert["%s %s #5# (1)"],SN[155074],L.alert["on"]),
				text = format(L.alert["%s %s #5# (#11#)"],SN[155074],L.alert["on"]),
				color1 = "BROWN",
				sound = "ALERT13",
				desc = 155074,
				icon = ST[155074],
			},
			mRisingFlames = {
				varname = format(L.alert["%s %s %s (1)"],SN[163284],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5# (1)"],SN[163284],L.alert["on"]),
				text2 = format(L.alert["%s %s #5# (#11#)"],SN[163284],L.alert["on"]),
				color1 = "BROWN",
				sound = "ALERT13",
				desc = 163284,
				icon = ST[163284],
				throttle = 2,
			},			
			mBlazingRadiance = {
				varname = format(L.alert["%s %s %s"],SN[155277],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|blazingTargetsunits&"],SN[155277],L.alert["on"]),
				color1 = "MIDBLUE",
				sound = "ALERT13",
				desc = 155277,
				icon = ST[155277],
			},			
		},
		onstart = {
			{
				"batchalert",{"LavaSlashCD","MoltenTorrentCD","SummonCinderWolvesCD"},
			},
			{
				"expect",{"&lfr& &isranged&","==","false true"},
				"openwindow",{"6"},
			},
		},
		alerts = {
			LavaSlashCD = {
				varname = format(L.alert["%s Cooldown"],SN[155318]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[155318]),
				time = 11,
				time2 = 14.5,
				time3 = 28,
				color1 = "GLOBAL",
				icon = ST[155318],
				desc = 155318,	
				extank = true,
				exmelee = true,
			},
			MoltenTorrentCD = {
				varname = format(L.alert["%s Cooldown"],SN[154938]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[154938]),
				time = 31,
				time2 = 47,
				time3 = 14.5,
				color1 = "GLOBAL",
				icon = ST[154938],
				desc = 154938,		
			},
			SummonEnchantedArmamentsCD = {
				varname = format(L.alert["%s Cooldown"],SN["ej9352"]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN["ej9352"]),
				time = 57,
				time2 = 20, -- mythic
				time3 = 45,
				time4 = 18,
				color1 = "GLOBAL",
				icon = EJST[9352],
				ability = 9352,		
			},
			SummonCinderWolvesCD = {
				varname = format(L.alert["Next %s"],SN[155776]),
				type = "dropdown",
				text = format(L.alert["Next %s"],SN[155776]),
				time = 60,
				time2 = 76,
				color1 = "GLOBAL",
				icon = ST[155776],
				desc = 155776,		
			},
			CharringBreathCD = {
				varname = format(L.alert["Next %s"],SN[155074]),
				type = "dropdown",
				text = format(L.alert["Next %s"],SN[155074]),
				time = 57,
				color1 = "GLOBAL",
				icon = ST[155074],
				desc = 155074,	
				exdps = true,
			},
			BlazingRadianceCD = {
				varname = format(L.alert["%s Cooldown"],SN[155277]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[155277]),
				time = 57,
				time2 = 32,
				color1 = "GLOBAL",
				icon = ST[155277],
				desc = 155277,	
				enabled = false,
			},
			FireStormCD = {
				varname = format(L.alert["%s Cooldown"],SN[155493]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[155493]),
				time = 62,
				color1 = "GLOBAL",
				icon = ST[155493],
				desc = 155493,		
				counter = true,
			},
			-- Warning
			wFirestormSoon = {
				varname = format(L.alert["%s %s!"],SN[155493],L.alert["soon"]),
				type = "simple",
				text = format(L.alert["%s %s!"],SN[155493],L.alert["soon"]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[155493],
				sound = "ALERT14",
				desc = 155493,
			},	
			wDevastatingSlam = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[156018]),
				type = "simple",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[156018]),
				time = 2,
				color1 = "RED",
				icon = ST[156018],
				sound = "ALERT10",
				desc = 156018,
			},
			wDropHammer = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[156040]),
				type = "simple",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[156040]),
				time = 2,
				color1 = "RED",
				icon = ST[156040],
				sound = "ALERT13",
				desc = 156040,
			},				
			wFirestorm = {
				varname = format(L.alert["%s (2) !"],SN[155493]),
				type = "simple",
				text = format(L.alert["%s (<firestorm>) !"],SN[155493]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[155493],
				sound = "ALERT10",
				desc = 155493,
			},
			wRekindle = {
				varname = format(L.alert["%s!"],SN[155064]),
				type = "simple",
				text = format(L.alert["%s!"],SN[155064]),
				time = 2,
				color1 = "YELLOW",
				icon = ST[155064],
				sound = "ALERT10",
				desc = 155064,
			},
			-- Inform
			iCharringBreath = {
				varname = format(L.alert["%s: %s 3 %s!"],SN[155074],L.alert["already at"],L.alert["Stacks"]),
				type = "inform",
				text = format(L.alert["%s: %s #11# %s!"],SN[155074],L.alert["already at"],L.alert["Stacks"]),
				time = 2,
				color1 = "RED",
				sound = "ALERT14",
				icon = ST[155074],
				flashscreen = true,
				exhealer = true,
				exdps = true,
			},
			iRisingFlames = {
				varname = format(L.alert["%s: %s 3 %s!"],SN[163284],L.alert["already at"],L.alert["Stacks"]),
				type = "inform",
				text = format(L.alert["%s: %s #11# %s!"],SN[163284],L.alert["already at"],L.alert["Stacks"]),
				time = 2,
				color1 = "ORANGE",
				sound = "ALERT11",
				icon = ST[163284],
				desc = 163284,
				flashscreen = true,
				exhealer = true,
				exdps = true,
			},			
			iLavaSlash = {
				varname = format(L.alert["%s %s, %s!"],SN[155318],L.alert["under you"],L.alert["MOVE AWAY"]),
				type = "inform",
				text = format(L.alert["%s %s, %s!"],SN[155318],L.alert["under you"],L.alert["MOVE AWAY"]),
				time = 2,
				color1 = "RED",
				icon = ST[155318],
				sound = "ALERT12",
				desc = 155318,
				flashscreen = true,
				throttle = 1.5,
			},		
			iMoltenTorrent = {
				varname = format(L.alert["%s %s %s!"],SN[154938],L.alert["on"],L.alert["YOU"]),
				type = "inform",
				text = format(L.alert["%s %s %s!"],SN[154938],L.alert["on"],L.alert["YOU"]),
				time = 2,
				color1 = "RED",
				icon = ST[154938],
				sound = "ALERT12",
				desc = 154938,
				flashscreen = true,
			},
			iRisingFlames = {
				varname = format(L.alert["%s %s %s!"],SN[163284],L.alert["on"],L.alert["YOU"]),
				type = "inform",
				text = format(L.alert["%s %s %s!"],SN[163284],L.alert["on"],L.alert["YOU"]),
				time = 2,
				color1 = "RED",
				icon = ST[163284],
				sound = "ALERT10",
				desc = 163284,
				flashscreen = true,
				exhealer = true,
				exdps = true,
			},
			iRisingFlamesTaunt = {
				varname =  format(L.alert["%s - %s!"],SN[163284],L.alert["Taunt"]),
				type = "inform",
				text = format(L.alert["%s - %s!"],SN[163284],L.alert["Taunt"]),
				time = 2,
				color1 = "INDIGO",
				sound = "ALERT10",
				icon = ST[163284],
				desc = 163284,
				exdps = true,
				exhealer = true,
			},			
			iFixate = {
				varname = format(L.alert["%s %s %s, %s!"],SN[154952],L.alert["on"],L.alert["YOU"],L.alert["MOVE AWAY"]),
				type = "inform",
				text = format(L.alert["%s %s %s, %s!"],SN[154952],L.alert["on"],L.alert["YOU"],L.alert["MOVE AWAY"]),
				time = 2,
				color1 = "RED",
				icon = ST[154952],
				sound = "ALERT12",
				desc = 154952,
				flashscreen = true,
			},	
			iFixateOver = {
				varname = format(L.alert["%s %s!"],SN[155198],L.alert["Over"]),
				type = "inform",
				text = format(L.alert["%s %s!"],SN[155198],L.alert["Over"]),
				time = 2,
				color1 = "GREEN",
				sound = "ALERT14",
				icon = ST[155198],
				desc = 155198,
				flashscreen = true,
			},				
			-- Casts
			FirestormActive = {
				varname = format(L.alert["%s Active"],SN[155493]),
				type = "centerpopup",
				text = format(L.alert["%s Active"],SN[155493]),
				time = 14,
				color1 = "RED",
				icon = ST[155493],
				desc = 155493,
			},
			FixateActive = {
				varname = format(L.alert["%s Active"],SN[154952]),
				type = "centerpopup",
				text = format(L.alert["%s Active"],SN[154952]),
				time = 10,
				color1 = "RED",
				icon = ST[154952],
				desc = 154952,
			},
			OverheatedActive = {
				varname = format(L.alert["%s Active"],SN[154950]),
				type = "centerpopup",
				text = format(L.alert["%s Active"],SN[154950]),
				time = 20,
				color1 = "TAN",
				icon = ST[154950],
				desc = 154950,
				--exhealer = true,
				exdps = true,
			},				
			Rekindle = {
				varname = format(L.alert["%s Casting"],SN[155064]),
				type = "dropdown",
				text = format(L.alert["%s Casting"],SN[155064]),
				time = 8,
				color1 = "GLOBAL",
				icon = ST[155064],
				desc = 155064,		
			},
			MoltenTorrentActive = {
				varname = format(L.alert["%s Active"],SN[154932]),
				type = "centerpopup",
				text = format(L.alert["%s Active"],SN[154932]),
				time = 6,
				color1 = "RED",
				icon = ST[154932],
				desc = 154932,
			},			
			-- Debuff
			FixateDebuff = {
				varname = format(L.alert["%s Debuff"],SN[154952]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[154952]),
				text2 = format(L.alert["#5#: %s"],SN[154952]),
				time = 10,
				color1 = "PURPLE",
				desc = 154952,
				icon = ST[154952],
				tag = "#5#",
				exdps = true,				
			},		
			CharringBreathDebuff = {
				varname = format(L.alert["%s Debuff"],SN[155074]),
				type = "debuff",
				text = format(L.alert["%s (1): %s"],L.alert["YOU"],SN[155074]),
				text2 = format(L.alert["#5# (1): %s"],SN[155074]),
				text3 = format(L.alert["%s (#11#): %s"],L.alert["YOU"],SN[155074]),
				text4 = format(L.alert["#5# (#11#): %s"],SN[155074]),
				time = 18,
				color1 = "BROWN",
				desc = 155074,
				icon = ST[155074],
				tag = "#5#",
				exdps = true,				
			},
			RisingFlamesDebuff = {
				varname = format(L.alert["%s Debuff"],SN[163284]),
				type = "debuff",
				text = format(L.alert["%s (1): %s"],L.alert["YOU"],SN[163284]),
				text2 = format(L.alert["#5# (1): %s"],SN[163284]),
				text3 = format(L.alert["%s (#11#): %s"],L.alert["YOU"],SN[163284]),
				text4 = format(L.alert["#5# (#11#): %s"],SN[163284]),
				time = 8,
				color1 = "TAN",
				desc = 163284,
				icon = ST[163284],
				tag = "#5#",
				exdps = true,				
			},				
		},
		events = {
			{
				type = "event",
				event = "UNIT_TARGET",
				execute = {
					{
						"expect",{"#1#","~=","0"},
						"invoke",{
							{
								"expect",{"&unittarget|#1#&","==","76794"}, -- wolfs
								"set",{wolves = "&unittarget|#1#|true&"},
								"expect",{"&tabread|wolvesunits|<wolves>&","~=","true"},
								"raidicon","Wolvesmark",
								"tabinsert",{"wolvesunits","<wolves>","true"},
							},							
						},
					},					
				},
			},		
			-- MoltenTorrent
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {154932},
				execute = {
					{
						"message","mMoltenTorrent",
						"alert",{"MoltenTorrentCD", time = 3},
						"raidicon","MoltenTorrentmark",
					},		
					{
						"expect",{"#4#","==","&playerguid&"},
						"set",{moltenTorrentOnMe = "1"},
						"openwindow",{"8",nil,false,154932},
						"alert","iMoltenTorrent",
						"alert","MoltenTorrentActive",
						"announce","MoltenTorrentsay",
						"set",{MoltenTorrentsay = 6},
						"canceltimer","timerMoltenTorrent",
						"scheduletimer",{"timerMoltenTorrent",1},
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"arrow","MoltenTorrentarrow",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {154932},
				execute = {
					{
						"removeraidicon","#5#",
						"removearrow","#5#",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"invoke",{
							{
								"expect",{"&lfr& &isranged&","==","false true"},
								"openwindow",{"6"},
							},
							{
								"set",{moltenTorrentOnMe = "0"},
							},
							--{
							--	"expect",{"<blazingTarget>","~=","nil"},
							--	"openwindow",{"10","<blazingTarget>"},
							--},
						},
					},		
				},
			},	
			-- CinderWolves
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {155776},
				execute = {
					{
						"message","mCinderWolves",
						"tracing",{76814,"boss2","boss3"},
						"set",{wolvesActive = 1},
						"scheduletimer",{"timerWolfs",5},
						"alert",{"BlazingRadianceCD", time = 2},
						"alert","FireStormCD",
						"schedulealert",{"wFirestormSoon",55},
					},	
				},
			},	
			-- Fixate
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {154952},
				execute = {
					{
						--"debug",{"asd","&contains|Fixateunits|#5#&","#5#"},
						"expect",{"&contains|Fixateunits2|#5#&","==","false"}, 
						"invoke",{
							{
								"insert",{"Fixateunits","#5#"},
								"insert",{"Fixateunits2","#5#",true},
								"canceltimer",{"timerFixate"},
								"scheduletimer",{"timerFixate",0.3},
							},		
							{
								"expect",{"#4#","==","&playerguid&"},
								"batchalert",{"iFixate","FixateDebuff","FixateActive"},
							},
							{
								"expect",{"#4#","~=","&playerguid&"},
								"alert",{"FixateDebuff", text = 2},
								"arrow","Fixatearrow", 
							},
						},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {154952},
				execute = {
					{
						"batchquash",{"FixateDebuff","FixateActive"},
					},	
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","iFixateOver",
					},					
				},
			},			
			-- Overheated
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {154950},
				execute = {
					{
						--"message","mOverheated",
						"alert","OverheatedActive",
					},		
				},
			},
			-- CharringBreath
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {155074},
				execute = {
					{
						"expect",{"&istargettank|#5#&","==","true"},
						"invoke",{
							--{
							--	"message","mCharringBreath",
							--},		
							{
								"expect",{"#4#","==","&playerguid&"},
								"alert","CharringBreathDebuff",
							},					
							{
								"expect",{"#4#","~=","&playerguid&"},
								"alert",{"CharringBreathDebuff", text = 2},
							},
						},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {155074},
				execute = {
					{
						"expect",{"&istargettank|#5#&","==","true"},
						"invoke",{				
							{
								--"message",{"mCharringBreath", text = 2},
								"message","mCharringBreath",
							},
							{
								"expect",{"#11#",">","2"},
								"alert","iCharringBreath",
							},
							{
								"expect",{"#4#","==","&playerguid&"},
								"alert",{"CharringBreathDebuff", text = 3},
							},					
							{
								"expect",{"#4#","~=","&playerguid&"},
								"alert",{"CharringBreathDebuff", text = 4},
							},
						},
					},
				},
			},	
			-- Rekindle
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {155064},
				execute = {
					{
						"alert","Rekindle",
					},
				},
			},	
			-- BlazingRadiance
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {155277},
				execute = {
					{
						--"alert","BlazingRadianceCD",
						--"message","mBlazingRadiance",
						"insert",{"blazingTargetsunits","#5#"},
						"insert",{"blazingTargetsunits2","#5#",true},	
						"canceltimer","timerBlazingRadiance",
						"scheduletimer",{"timerBlazingRadiance",0.2},	
						"raidicon","BlazingRadiancemark",
					},	
					--{
					--	"expect",{"&mythic&","==","true"},
					--	"raidicon","BlazingRadiancemark",
					--},
					{
						"expect",{"#4#","==","&playerguid&"},
						"announce","BlazingRadiancesay",
						"openwindow",{"10",nil,false,155277},
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"scheduletimer",{"timerBlazingRadianceArrow",0.2},						
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {155277},
				execute = {
					{
						"delete",{"blazingTargetsunits","#5#"},
						"delete",{"blazingTargetsunits2","#5#"},
						"removearrow","BlazingRadiancearrow",
						"canceltimer","timerBlazingRadianceArrow",
					},	
					{
						"expect",{"&mythic&","==","false"},
						"removeraidicon","#5#",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"closewindow",
					},	
					{
						"expect",{"&lfr& &isranged&","==","false true"},
						"openwindow",{"6"},
					},					
					--{	
					--	"expect",{"<moltenTorrentOnMe> &count|blazingTargetsunits&","==","0 0"},
					--	"closewindow",
					--},					
				},
			},
			-- RisingFlames
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {163284},
				execute = {
					--{
					--	"message","mRisingFlames",
					--},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","RisingFlamesDebuff",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"RisingFlamesDebuff", text = 2},
					},
					{
						"expect",{"&mythic&","==","true"},
						"message","mRisingFlames",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {163284},
				execute = {
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert",{"RisingFlamesDebuff", text = 3},
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"RisingFlamesDebuff", text = 4},
					},	
					{
						"expect",{"&checkperc|#11#|3&","==","0"},
						"expect",{"#11#",">=","6"},
						"message",{"mRisingFlames", text = 2},
						--"message","mRisingFlames",
						"invoke",{
							{
								"expect",{"#4#","==","&playerguid&"},
								"alert","iRisingFlames",
							},
							{
								"expect",{"#4#","~=","&playerguid&"},
								"expect",{"&playerdebuff|"..SN[163284].."& &unitisdead|player&","==","false 0"},
								"alert","iRisingFlamesTaunt",
							},
						},
					},
					--[[{
						"expect",{"&mythic&","==","true"},
						"message",{"mRisingFlames", text = 2},
						"invoke",{
							{
								"expect",{"#4#","==","&playerguid&"},
								"alert","iRisingFlames",
							},
							{
								"expect",{"#4#","~=","&playerguid&"},
								"expect",{"&playerdebuff|"..SN[163284].."& &unitisdead|player&","==","false 0"},
								"alert","iRisingFlamesTaunt",
							},
						},
					},	--]]					
				},
			},
			-- DevastatingSlam
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {156018},
				execute = {
					{
						"alert","wDevastatingSlam",
					},
				},
			},	
			-- DropHammer
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {156040},
				execute = {
					{
						"alert","wDropHammer",
					},
				},
			},			
			-- LavaSlash
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {155314},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iLavaSlash",
					},
				},
			},	
			{
				type = "combatevent",
				eventtype = "SPELL_PERIODIC_DAMAGE",
				spellid = {155314},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iLavaSlash",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_PERIODIC_MISSED",
				spellid = {155314},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iLavaSlash",
					},
				},
			},
			-----
			{
				type = "event",
				event = "UNIT_SPELLCAST_SUCCEEDED",
				execute = {
					{
						"expect",{"#1#","==","boss1"},
						"invoke",{
							{
								"expect",{"#5#","==","154914"}, -- LavaSlash
								"message","mLavaSlash",
								"alert",{"LavaSlashCD", time = 2},
							},	
							{
								"expect",{"#5#","==","163644"}, -- Summon Enchanted Armaments
								"message","mSummonEnchantedArmaments",
								"invoke",{
									{
										"expect",{"&mythic&","==","true"},
										"alert",{"SummonEnchantedArmamentsCD", time = 2},
									},
									{
										"expect",{"&mythic&","==","false"},
										"alert",{"SummonEnchantedArmamentsCD", time = 3},
									},
								},
							},
							{
								"expect",{"#5#","==","155564"}, -- Firestorm
								"set",{firestorm = "INCR|1"},
								"batchalert",{"FirestormActive","wFirestorm"},
								"quash","BlazingRadianceCD",
								"alert",{"SummonEnchantedArmamentsCD", time = 4},
								"alert",{"LavaSlashCD", time = 3},
								"alert",{"MoltenTorrentCD", time = 2},
								"alert",{"SummonCinderWolvesCD", time = 2},
							},								
						},
					},					
				},
			},					
		},
	}

	DXE:RegisterEncounter(data)
end