local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST

local EJName = EJ_GetEncounterInfo(1432)
do
	local data = {
		version = 3,
		key = "Council",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = EJName,
		icon = "INTERFACE\\ENCOUNTERJOURNAL\\UI-EJ-BOSS-GurtoggBloodboil.BLP:35:35",
		respawntime = 30,
		triggers = {
			scan = {92142, 92144, 92146},  -- Blademaster Jubei'thos, Dia Darkwhisper, Gurtogg Bloodboil
			encounterid = 1798,
			ejid = 1432,
		},
		onactivate = {
			tracing = {
				92142, 92144, 92146,
			},
			tracerstart = true,
			combatstop = true,
			unittracing = {"boss1","boss2","boss3"},
			defeat = {92142, 92144, 92146},
		},
		windows = {
			proxwindow = true,
		},
		enrage = {
			timelfr = 600,
			timeflex = 600,
			timeheroic = 600,
			timemythic = 600,
		},
		raidicons = {
			FelRagemark = {
				varname = SN[184360],
				type = "FRIENDLY",
				persist = 35,
				unit = "#5#", 
				icon = 1,
				desc = 184360,
				icon2 = ST[184360],
			},					
		},
		userdata = {
			MarkOfTheNecromancerunits = {type = "container", wipein = 3},
			Bloodboilunits = {type = "container", wipein = 3},
			horrorCount = 1,
			leapCount = 0,
		},
		timers = {
			timerMarkOfTheNecromancer = {
				{
					"message","mMarkOfTheNecromancer",
				},
			},
			timerBloodboil = {
				{
					"message","mBloodboil",
				},
			},			
		},	
		announces = { 

		},			
		messages = {
			--[[mMarkOfTheNecromancer = {
				varname = format(L.alert["%s %s %s"],SN[184449],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|MarkOfTheNecromancerunits&"],SN[184449],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 184449,
				icon = ST[184449],
			},--]]
			mMarkOfTheNecromancer = {
				varname = format(L.alert["%s!"],SN[184449]),
				type = "message",
				text = format(L.alert["%s!"],SN[184449]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 184449,
				icon = ST[184449],
			},			
			mBloodboil = {
				varname = format(L.alert["%s %s %s"],SN[184355],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|Bloodboilunits&"],SN[184355],L.alert["on"]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 184355,
				icon = ST[184355],
			},			
			mHorror = {
				varname = format(L.alert["%s!"],SN[184681]),
				type = "message",
				text = format(L.alert["%s!"],SN[184681]),
				color1 = "GREEN",
				sound = "ALERT13",
				desc = 184681,
				icon = ST[184681],
			},
			mFelRage = {
				varname = format(L.alert["%s %s %s"],SN[184360],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &dstname_or_YOU&"],SN[184360],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 184360,
				icon = ST[184360],
			},	
			mAcidicWound = {
				varname = format(L.alert["%s %s %s (2)"],SN[184847],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &dstname_or_YOU& (#11#)"],SN[184847],L.alert["on"]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 184847,
				icon = ST[184847],
			},	
			mDemonishingLeap = {
				varname = format(L.alert["%s %s (2)"],L.alert["Incoming"],SN[184365]),
				type = "message",
				text = format(L.alert["%s %s (<leapCount>)"],L.alert["Incoming"],SN[184365]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 184365,
				icon = ST[184365],
			},			
		},
		onstart = {
			{
				"batchalert",{"WailingHorrorCD","FelRageCD","MarkoftheNecromancerCD","ReapCD","DemonishingLeapCD"},
				"alert",{"MirrorImagesCD", time = 2},
			},
		},
		alerts = {
			DemonishingLeapCD = {
				varname = format(L.alert["%s Cooldown"],SN[184365]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[184365]),
				time = 225,
				color1 = "GLOBAL",
				icon = ST[184365],
				desc = 184365,
			},			
			MarkoftheNecromancerCD = {
				varname = format(L.alert["%s Cooldown"],SN[184449]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[184449]),
				time = 6.3,
				time2 = 60,
				color1 = "GLOBAL",
				icon = ST[184449],
				desc = 184449,
			},			
			ReapCD = {
				varname = format(L.alert["%s Cooldown"],SN[184476]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[184476]),
				time = 54.6,
				time2 = 60,
				color1 = "GLOBAL",
				icon = ST[184476],
				desc = 184476,
			},		
			NightmareVisageCD = {
				varname = format(L.alert["%s Cooldown"],SN[184657]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[184657]),
				time = 32,
				color1 = "GLOBAL",
				icon = ST[184657],
				desc = 184657,
				exdps = true,
				exhealer = true,
			},
			MirrorImagesCD = {
				varname = format(L.alert["%s Cooldown"],SN[183885]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[183885]),
				time = 50,
				time2 = 153.3,
				time3 = 150, -- lfr
				color1 = "GLOBAL",
				icon = ST[183885],
				desc = 183885,
			},
			WailingHorrorCD = {
				varname = "(2) "..format(L.alert["%s Cooldown"],SN[184681]),
				type = "dropdown",
				text = "(<horrorCount>) "..format(L.alert["%s Cooldown"],SN[184681]),
				time = 75,
				time2 = 151,
				color1 = "GLOBAL",
				icon = ST[184681],
				desc = 184681,
			},	
			FelRageCD = {
				varname = format(L.alert["%s Cooldown"],SN[184358]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[184358]),
				time = 30,
				color1 = "GLOBAL",
				icon = ST[184358],
				desc = 184358,
			},	
			TaintedBloodCD = {
				varname = format(L.alert["%s Cooldown"],SN[184357]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[184357]),
				time = 30,
				color1 = "GLOBAL",
				icon = ST[184357],
				desc = 184357,
			},			
			-- Warning
			wNightmareVisage = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[184657]),
				type = "simple",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[184657]),
				time = 2,
				color1 = "RED",
				icon = ST[184657],
				sound = "ALERT11",
				desc = 184657,
				exhealer = true,
				--exdps = true,
				--flashscreen = true,
			},
			wReap = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[184476]),
				type = "simple",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[184476]),
				time = 2,
				color1 = "RED",
				icon = ST[184476],
				sound = "ALERT11",
				desc = 184476,
				--flashscreen = true,
			},
			wMirrorImages = {
				varname = format(L.alert["%s!"],SN[183885]),
				type = "simple",
				text = format(L.alert["%s!"],SN[183885]),
				time = 2,
				color1 = "YELLOW",
				icon = ST[183885],
				sound = "ALERT10",
				desc = 183885,
			},	
			-- Inform
			iReapDamage = {
				varname = format(L.alert["%s %s, %s!"],SN[184652],L.alert["under you"],L.alert["MOVE AWAY"]),
				type = "inform",
				text = format(L.alert["%s %s, %s!"],SN[184652],L.alert["under you"],L.alert["MOVE AWAY"]),
				time = 2,
				color1 = "RED",
				icon = ST[184652],
				sound = "ALERT12",
				desc = 184652,
				flashscreen = true,
				throttle = 1.5,
			},	
			iBloodboil = {
				varname = format(L.alert["%s: %s 3 %s!"],SN[184355],L.alert["already at"],L.alert["Stacks"]),
				type = "inform",
				text = format(L.alert["%s: %s #11# %s!"],SN[184355],L.alert["already at"],L.alert["Stacks"]),
				time = 2,
				color1 = "ORANGE",
				sound = "ALERT10",
				icon = ST[184355],
				desc = 184355,
			},			
			-- Casts			
			ReapCast = {
				varname = format(L.alert["%s Casting"],SN[184476]),
				type = "centerpopup",
				text = format(L.alert["%s Casting"],SN[184476]),
				time = 4,
				color1 = "RED",
				icon = ST[184476],
				desc = 184476,
			},
			NightmareVisageCast = {
				varname = format(L.alert["%s Active"],SN[184657]),
				type = "centerpopup",
				text = format(L.alert["%s Active"],SN[184657]),
				time = 16,
				color1 = "RED",
				icon = ST[184657],
				desc = 184657,
			},
			DemonishingLeapAct = {
				varname = "(2) "..format(L.alert["%s Active"],SN[184365]),
				type = "centerpopup",
				text = "(<leapCount>) "..format(L.alert["%s Active"],SN[184365]),
				time = 5.8,
				color1 = "RED",
				icon = ST[184365],
				desc = 184365,
			},				
			-- Debuff
			FelRageDebuff = {
				varname = format(L.alert["%s Debuff"],SN[184360]),
				type = "debuff",
				text = format(L.alert["&dstname_or_YOU&: %s"],SN[184360]),
				time = 25,
				color1 = "RED",
				desc = 184360,
				icon = ST[184360],
				tag = "#5#",
				exdps = true,				
			},			
		},
		events = {
			-- DemonishingLeap
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {184365},
				execute = {
					{
						"message","mDemonishingLeap",
						"set",{leapCount = "INCR|1"},
						"alert","DemonishingLeapAct",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {184365},
				execute = {
					{
						"message","mDemonishingLeap",
						"set",{leapCount = "INCR|1"},
						"alert","DemonishingLeapAct",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {184365},
				execute = {
					{
						"quash","DemonishingLeapAct",
						"set",{leapCount = 0},
					},
				},
			},			
			-- TaintedBlood
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {184357},
				execute = {
					{
						"alert","TaintedBloodCD",
					},
				},
			},					
			-- MarkOfTheNecromancer
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS", --SPELL_AURA_APPLIED
				spellid = {184449},
				execute = {
					{
						"alert",{"MarkoftheNecromancerCD", time = 2},
						"message","mMarkOfTheNecromancer",
						--"insert",{"MarkOfTheNecromancerunits","#5#"},
						--"canceltimer","timerMarkOfTheNecromancer",
						--"scheduletimer",{"timerMarkOfTheNecromancer",0.3},
					},
				},
			},
			-- Reap
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {184476},
				execute = {	
					{
						"batchalert",{"ReapCast","wReap"},
						"alert",{"ReapCD", time = 2},
					},				
				},
			},
			-- NightmareVisage
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {184657},
				execute = {	
					{
						"batchalert",{"NightmareVisageCD","NightmareVisageCast","wNightmareVisage"},
					},				
				},
			},	
			-- FelRage 
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {184360},
				execute = {
					{
						"message","mFelRage",
						"raidicon","FelRagemark",
						"alert","FelRageDebuff",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {184360},
				execute = {
					{
						"quash","FelRageDebuff",
						"removeraidicon","#5#",						
					},
				},
			},
			-- Bloodboil 
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {184355},
				execute = {
					{
						"insert",{"Bloodboilunits","#5#"},
						"canceltimer","timerBloodboil",
						"scheduletimer",{"timerBloodboil",0.2},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE", -- make debuff bars?
				spellid = {184355},
				dstisplayerunit = true,
				execute = {
					{
						"expect",{"&mythic&","==","true"},
						"expect",{"#11#",">=","3"},
						"alert","iBloodboil",
					},
				},
			},			
			-- AcidicWound 
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {184847},
				execute = {
					{
						"expect",{"&checkperc|#11#|5&","==","0"},
						"message","mAcidicWound",
					},
				},
			},
			-- MirrorImages 
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {183885},
				execute = {
					{
						"alert","wMirrorImages",
					},
					{
						"expect",{"&lfr&","==","false"},
						"alert","MirrorImagesCD",
					},
					{
						"expect",{"&lfr&","==","true"},
						"alert",{"MirrorImagesCD", time = 3},
					},
				},
			},	
			-- ReapDamage
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {184652},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iReapDamage",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_PERIODIC_DAMAGE",
				spellid = {184652},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iReapDamage",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_PERIODIC_MISSED",
				spellid = {184652},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iReapDamage",
					},
				},
			},	
			--------------------------------------
			-- Emotes
			{
				type = "event",
				event = "EMOTE", 
				execute = {
					-- horror
					{
						"expect",{"#1#","find","spell:184681"},
						"message","mHorror",
						"set",{horrorCount = "INCR|1"},
						"alert",{"WailingHorrorCD", time = 2},
					},
				},
			},			
			{
				type = "combatevent",
				eventtype = "UNIT_DIED",
				execute = {
					{
						"expect",{"&npcid|#4#&","==","92142"}, --Blademaster Jubei'thosr
						"quash","MirrorImagesCD",
					},	
					{
						"expect",{"&npcid|#4#&","==","92144"}, --Dia Darkwhisper
						"batchquash",{"MarkoftheNecromancerCD","NightmareVisageCD"},
					},		
					{
						"expect",{"&npcid|#4#&","==","92146"}, --Gurthogg Bloodboil
						"batchquash",{"FelRageCD","DemonishingLeapCD","TaintedBloodCD"},
					},							
				},
			},	
			
		},
	}

	DXE:RegisterEncounter(data)
end