local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST

local EJName = EJ_GetEncounterInfo(1391)
do
	local data = {
		version = 3,
		key = "FelLordZakuun",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = EJName,
		icon = "INTERFACE\\ENCOUNTERJOURNAL\\UI-EJ-BOSS-FelLordZakuun.BLP:35:35",
		triggers = {
			scan = {89890, 90108},  -- Fel Lord Zakuun, Fel Axe
			encounterid = 1777,
			ejid = {1391},
		},
		onactivate = {
			tracing = {
				89890, 90108,
				--markers1 = {35},
			},
			tracerstart = true,
			combatstop = true,
			unittracing = {"boss1","boss2"},
			defeat = {89890, 90108},
		},
		windows = {
			proxwindow = true,
		},
		enrage = {
			--timelfr = 600,
			--timeflex = 600,
			--timeheroic = 600,
			--timemythic = 600,
		},
		userdata = {
			Befouledunits = {type = "container", wipein = 3},
			SeedOfDestructionunits = {type = "container", wipein = 3},
			Rumbling = 0,
			SoulCleave = 0,
			Cavitation = 0,
		},
		raidicons = {
			SeedOfDestructionmark = {
				varname = SN[181508],
				type = "MULTIFRIENDLY",
				persist = 60,
				unit = "#5#", 
				icon = 1,
				total = 8,
				reset = 10,				
				desc = 181508,
				icon2 = ST[181508],
			},			
		},			
		timers = {
			timerBefouled = {
				{
					"message","mBefouled",
				},
			},
			timerSeedOfDestruction = {
				{
					"message","mSeedOfDestruction",
				},
			},			
		},	
		announces = { 
			Befouledsay = {
				varname = format(L.alert["%s %s %s!"],SN[179711],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[179711],L.alert["on"],L.alert["Me"]),
				desc = 179711,
				icon = ST[179711],
				--flashcolor = "RED",
				--flashscreen = true,
			},
			SeedOfDestructionsay = {
				varname = format(L.alert["%s %s %s!"],SN[181508],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[181508],L.alert["on"],L.alert["Me"]),
				desc = 181508,
				icon = ST[181508],
			},			
		},
		messages = {
			mBefouled = { -- only healer needs this
				varname = format(L.alert["%s %s %s"],SN[179711],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|HeartSeekerunits&"],SN[179711],L.alert["on"]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 179711,
				icon = ST[179711],
				exdps = true,
				extank = true,
			},
			mSeedOfDestruction = {
				varname = format(L.alert["%s %s %s"],SN[181515],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|SeedOfDestructionunits&"],SN[181515],L.alert["on"]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 181515,
				icon = ST[181515],
			},			
			mHeavilyArmed = {
				varname = format(L.alert["%s %s %s"],SN[179711],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &dstname_or_YOU&"],SN[179711],L.alert["on"]),
				color1 = "GREEN",
				sound = "ALERT13",
				desc = 179711,
				icon = ST[179711],
				exdps = true,
			},
			mDisembodied = {
				varname = format(L.alert["%s %s %s"],SN[179407],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &dstname_or_YOU&"],SN[179407],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 179407,
				icon = ST[179407],
			},		
			mCavitation = {
				varname = format(L.alert["%s!"],SN[189009]),
				type = "message",
				text = format(L.alert["%s!"],SN[189009]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 189009,
				icon = ST[189009],
			},				
		},
		onstart = {
			{
				"batchalert",{"CavitationCD","FoulCD"},
				"alert",{"RumblingFissuresCD", time = 2},
				"alert",{"DisarmedCD", time = 2},
			},
			{
				"expect",{"&mythic&","==","true"},
				"alert","SoulCleaveCD", -- all on mythic?
			},
			{
				"expect",{"&istank&","==","true"},
				"alert","SoulCleaveCD",
			},			
		},
		alerts = {
			CavitationCD = {
				varname = format(L.alert["%s Cooldown"],SN[189009]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[189009]),
				time = 36.5,
				time2 = 40,
				time3 = "<Cavitation>",
				color1 = "GLOBAL",
				icon = ST[189009],
				desc = 189009,
			},
			FoulCD = {
				varname = format(L.alert["%s Cooldown"],SN[179709]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[179709]),
				time = 16,
				color1 = "GLOBAL",
				icon = ST[179709],
				desc = 179709,
			},	
			SoulCleaveCD = {
				varname = format(L.alert["%s Cooldown"],SN[179406]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[179406]),
				time = 28.5,
				time2 = "<SoulCleave>",
				color1 = "GLOBAL",
				icon = ST[179406],
				desc = 179406,
			},				
			BefouledCD = {
				varname = format(L.alert["%s Cooldown"],SN[179711]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[179711]),
				time = 40,
				time2 = 16,
				color1 = "GLOBAL",
				icon = ST[179711],
				desc = 179711,
			},		
			DisembodiedCD = {
				varname = format(L.alert["%s Cooldown"],SN[179407]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[179407]),
				time = 40,
				color1 = "GLOBAL",
				icon = ST[179407],
				desc = 179407,
			},
			SeedOfDestructionCD = {
				varname = format(L.alert["%s Cooldown"],SN[181508]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[181508]),
				time = 14.5,
				time2 = 9,
				color1 = "GLOBAL",
				icon = ST[181508],
				desc = 181508,
			},
			RumblingFissuresCD = {
				varname = format(L.alert["%s Cooldown"],SN[179583]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[179583]),
				time = 40,
				time2 = 7,
				time3 = "<Rumbling>",
				color1 = "GLOBAL",
				icon = ST[179583],
				desc = 179583,
			},	
			DisarmedCD = {
				varname = format(L.alert["%s Cooldown"],SN[179667]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[179667]),
				time = 33.5,
				time2 = 87,
				time3 = 85,
				color1 = "GLOBAL",
				icon = ST[179667],
				desc = 179667,
			},			
			-- Warning
			wRumblingFissure = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[179583]),
				type = "simple",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[179583]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[179681],
				sound = "ALERT10",
				desc = 179681,
			},			
			wEnrage = {
				varname = format(L.alert["%s!"],SN[179681]),
				type = "simple",
				text = format(L.alert["%s!"],SN[179681]),
				time = 2,
				color1 = "RED",
				icon = ST[179681],
				sound = "ALERT10",
				desc = 179681,
				--flashscreen = true, 
			},
			wDisarmed = {
				varname = format(L.alert["%s!"],SN[179667]),
				type = "simple",
				text = format(L.alert["%s!"],SN[179667]),
				time = 2,
				color1 = "YELLOW",
				icon = ST[179667],
				sound = "ALERT10",
				desc = 179667,
				--flashscreen = true, 
			},
			wDisarmedOver = {
				varname = format(L.alert["%s %s!"],SN[179667],L.alert["Over"]),
				type = "simple",
				text = format(L.alert["%s %s!"],SN[179667],L.alert["Over"]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[179667],
				sound = "ALERT14",
				desc = 179667,
				--flashscreen = true, 
			},
			iBefouledOver = {
				varname = format(L.alert["%s %s!"],SN[179711],L.alert["Over"]),
				type = "simple",
				text = format(L.alert["%s %s!"],SN[179711],L.alert["Over"]),
				time = 2,
				color1 = "GREEN",
				icon = ST[179711],
				sound = "ALERT14",
				desc = 179711,
				--flashscreen = true, 
			},				
			-- Inform
			iSeedOfDestruction = {
				varname = format(L.alert["%s %s %s!"],SN[181508],L.alert["on"],L.alert["YOU"]),
				type = "inform",
				text = format(L.alert["%s %s %s!"],SN[181508],L.alert["on"],L.alert["YOU"]),
				time = 2,
				color1 = "RED",
				icon = ST[181508],
				sound = "ALERT12",
				desc = 181508,
				flashscreen = true,
			},	
			iFelCrystalDamage = {
				varname = format(L.alert["%s %s %s, %s!"],SN[184652],L.alert["on"],L.alert["YOU"],L.alert["MOVE AWAY"]),
				type = "inform",
				text = format(L.alert["%s %s %s, %s!"],SN[184652],L.alert["on"],L.alert["YOU"],L.alert["MOVE AWAY"]),
				time = 2,
				color1 = "RED",
				icon = ST[184652],
				sound = "ALERT12",
				desc = 184652,
				flashscreen = true,
				throttle = 1.5,
			},	
			-- Casts
			SeedOfDestructionAct = {
				varname = format(L.alert["%s Active"],SN[181508]),
				type = "centerpopup",
				text = format(L.alert["%s Active"],SN[181508]),
				time = 5,
				color1 = "RED",
				icon = ST[84474],
				desc = 181508,
			},			
		},
		events = {
			-- Foul
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {179709},
				execute = {
					{
						"alert","FoulCD",
					},
				},
			},
			-- Befouled
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {189030},
				execute = {
					{
						"insert",{"Befouledunits","#5#"},
						"canceltimer","timerBefouled",
						"scheduletimer",{"timerBefouled",0.2},
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"announce","Befouledsay",
						"openwindow",{"6",nil,false,179711},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {189030,189031,189032},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iBefouledOver",
						"closewindow",
					},
				},
			},
			-- HeavilyArmed
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {179671},
				execute = {
					{
						"message","mHeavilyArmed",
					},
				},
			},
			-- Disembodied
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {179407},
				execute = {
					{
						"message","mDisembodied",
						"alert","DisembodiedCD",
					},
				},
			},
			-- RumblingFissures
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS", --SPELL_CAST_START
				spellid = {179583},
				execute = {	
					{
						"alert","RumblingFissuresCD",
						"alert","wRumblingFissure",
					},			
				},
			},	
			-- SeedOfDestruction
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {181508, 181515},
				execute = {
					{
						"insert",{"SeedOfDestructionunits","#5#"},
						"canceltimer","timerSeedOfDestruction",
						"scheduletimer",{"timerSeedOfDestruction",0.3},
						"raidicon","SeedOfDestructionmark",
					},
					{
						"expect",{"&count|SeedOfDestructionunits&","==","1"},
						"batchalert",{"SeedOfDestructionCD","SeedOfDestructionAct"},
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"announce","SeedOfDestructionsay",
						"alert","iSeedOfDestruction",
					},
				},
			},	
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {181508, 181515},
				execute = {
					{
						"removeraidicon","#5#",
					},
				},
			},
			-- Enrage
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {179681},
				execute = {
					{
						"alert","wEnrage",
					},
				},
			},
			-- Cavitation
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {189009},
				execute = {	
					{
						"alert",{"CavitationCD", time = 2},
						"message","mCavitation",
					},			
				},
			},	
			-- Disarmed
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {179667},
				execute = {
					{
						"batchalert",{"DisarmedCD","wDisarmed"},
						"alert",{"SeedOfDestructionCD", time = 2},
						"set",{Rumbling = "&timeleft|RumblingFissuresCD|40&"},
						"set",{SoulCleave = "&timeleft|SoulCleaveCD|30&"},
						"set",{Cavitation = "&timeleft|CavitationCD|40&"},
						"alert",{"RumblingFissuresCD", time = 3},
						"alert",{"SoulCleaveCD", time = 2},
						"alert",{"CavitationCD", time = 3},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {179667},
				execute = {
					{
						"alert","wDisarmedOver",
						"alert",{"DisarmedCD", time = 3},
						"quash","SeedOfDestructionCD",
					},
				},
			},
			-- FelCrystalDamage
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {181653},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iFelCrystalDamage",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_PERIODIC_DAMAGE",
				spellid = {181653},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iFelCrystalDamage",
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_PERIODIC_MISSED",
				spellid = {181653},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iFelCrystalDamage",
					},
				},
			},				
		},
	}

	DXE:RegisterEncounter(data)
end