local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST

local EJName = EJ_GetEncounterInfo(1396)
do
	local data = {
		version = 7,
		key = "KilroggDeadeye",
		zone = L.zone["Hellfire Citadel"],
		category = L.zone["Hellfire Citadel"],
		name = EJName,
		icon = "INTERFACE\\ENCOUNTERJOURNAL\\UI-EJ-BOSS-KilroggDeadeye.BLP:35:35",
		respawntime = 14,
		triggers = {
			scan = {90378}, 
			encounterid = 1786,
			ejid = 1396,
		},
		onactivate = {
			tracing = {
				90378,
				--markers1 = {35},
			},
			tracerstart = true,
			combatstop = true,
			unittracing = {"boss1"},
			defeat = 90378,
		},
		windows = {
			proxwindow = true,
			apbwindow = true,
		},
		enrage = {
			timelfr = 600,
			timeflex = 600,
			timeheroic = 600,
			timemythic = 600,
		},
		userdata = {
			HeartSeekerunits = {type = "container", wipein = 3},
			deathThroesCount = 0,
			visionCount = 1,
			Adds = {type = "container"},
			Addsguid = "",		
		},
		timers = {
			timerHeartSeeker = {
				{
					"message","mHeartSeeker",
				},
			},
		},
		announces = { 
			HeartSeekersay = {
				varname = format(L.alert["%s %s %s!"],SN[188929],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[188929],L.alert["on"],L.alert["Me"]),
				desc = 188929,
				icon = ST[188929],
				--flashcolor = "RED",
				--flashscreen = true,
			},
		},		
		messages = {	
			mHulkingTerror = {
				varname = format(L.alert["%s Spawns"],EJSN[11269]),
				type = "message",
				text = format(L.alert["%s Spawns"],EJSN[11269]),
				color1 = "CYAN",
				sound = "ALERT13",
				ability = 11269,
				icon = EJST[11269],
			},
			mSalivatingBloodthirster = {
				varname = format(L.alert["%s Spawns"],EJSN[11266]),
				type = "message",
				text = format(L.alert["%s Spawns"],EJSN[11266]),
				color1 = "CYAN",
				sound = "ALERT13",
				ability = 11266,
				icon = EJST[11266],
			},
			mBloodGlobule = {
				varname = format(L.alert["%s Spawns"],EJSN[11261]),
				type = "message",
				text = format(L.alert["%s Spawns"],EJSN[11261]),
				color1 = "CYAN",
				sound = "ALERT13",
				ability = 11261,
				icon = EJST[11261],
			},
			mFelBloodGlobule = {
				varname = format(L.alert["%s Spawns"],EJSN[11263]),
				type = "message",
				text = format(L.alert["%s Spawns"],EJSN[11263]),
				color1 = "CYAN",
				sound = "ALERT13",
				ability = 11263,
				icon = EJST[11263],
			},			
			mHeartSeeker = {
				varname = format(L.alert["%s %s %s"],SN[188929],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|HeartSeekerunits&"],SN[188929],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 188929,
				icon = ST[188929],
			},
			mShreddedArmor = {
				varname = format(L.alert["%s %s %s"],SN[180200],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &dstname_or_YOU&"],SN[180200],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 180200,
				icon = ST[180200],
			},
			mCleansingAura = {
				varname = format(L.alert["%s %s %s"],SN[187089],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &dstname_or_YOU&"],SN[187089],L.alert["on"]),
				color1 = "YELLOW",
				sound = "ALERT13",
				desc = 187089,
				icon = ST[187089],
			},				
		},
		onstart = {
			{
				"batchalert",{"VisionofDeathCD","HeartSeekerCD","ShredArmorCD"},
				--"tracing",{90378,"boss2","boss3","boss4"},
			},
		},
		alerts = {
			VisionofDeathCD = {
				varname = "(2) "..format(L.alert["%s Cooldown"],SN[182428]),
				type = "dropdown",
				text = "(<visionCount>) "..format(L.alert["%s Cooldown"],SN[182428]),
				time = 60,
				time2 = 75.5,
				color1 = "GLOBAL",
				icon = ST[182428],
				desc = 182428,
			},
			HeartSeekerCD = {
				varname = format(L.alert["%s Cooldown"],SN[188929]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[188929]),
				time = 25,
				time2 = 25.5,
				color1 = "GLOBAL",
				icon = ST[188929],
				desc = 188929,
			},
			ShredArmorCD = {
				varname = format(L.alert["%s Cooldown"],SN[180199]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[180199]),
				time = 10.8,
				time2 = 17,
				color1 = "GLOBAL",
				icon = ST[180199],
				desc = 180199,
			},	
			-- Warning
			wVisionOfDeath = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[182428]),
				type = "simple",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[182428]),
				time = 2,
				color1 = "RED",
				icon = ST[182428],
				sound = "ALERT10",
				desc = 182428,
				--flashscreen = true,
			},	
			wDeathThroes = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[180224]),
				type = "simple",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[180224]),
				time = 2,
				color1 = "RED",
				icon = ST[180224],
				sound = "ALERT10",
				desc = 180224,
			},	
			wShredArmor = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[180199]),
				type = "simple",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[180199]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[180199],
				sound = "ALERT10",
				desc = 180199,
			},	
			wRendingHowl = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[183917]),
				type = "simple",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[183917]),
				time = 2,
				color1 = "RED",
				icon = ST[183917],
				sound = "ALERT10",
				desc = 183917,
			},	
			wSavageStrikes = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[180163]),
				type = "simple",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[180163]),
				time = 2,
				color1 = "RED",
				icon = ST[180163],
				sound = "ALERT10",
				desc = 180163,
			},
			wFelBlaze = {
				varname = format(L.alert["%s!"],SN[180618]),
				type = "simple",
				text = format(L.alert["%s!"],SN[180618]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[180618],
				sound = "ALERT10",
				desc = 180618,
				throttle = 3,
			},
			wCinderBreath = {
				varname = format(L.alert["%s!"],SN[180033]),
				type = "simple",
				text = format(L.alert["%s!"],SN[180033]),
				time = 2,
				color1 = "ORANGE",
				icon = ST[180033],
				sound = "ALERT10",
				desc = 180033,
				throttle = 3,
			},				
			-- Inform
			iHeartSeeker = {
				varname = format(L.alert["%s %s %s!"],SN[188929],L.alert["on"],L.alert["YOU"]),
				type = "inform",
				text = format(L.alert["%s %s %s!"],SN[188929],L.alert["on"],L.alert["YOU"]),
				time = 2,
				color1 = "RED",
				icon = ST[188929],
				sound = "ALERT12",
				desc = 188929,
				flashscreen = true,
			},	
			-- Casts
			HeartSeekerActive = {
				varname = format(L.alert["%s Active"],SN[180372]),
				type = "centerpopup",
				text = format(L.alert["%s Active"],SN[180372]),
				time = 5,
				color1 = "RED",
				icon = ST[180372],
				desc = 180372,
			},	
			VisionOfDeathCast = {
				varname = format(L.alert["%s Casting"],SN[182428]),
				type = "centerpopup",
				text = format(L.alert["%s Casting"],SN[182428]),
				time = 8,
				color1 = "RED",
				icon = ST[182428],
				desc = 182428,
			},	
			SavageStrikesCast = {
				varname = format(L.alert["%s Casting"],SN[180163]),
				type = "centerpopup",
				text = format(L.alert["%s Casting"],SN[180163]),
				time = 6,
				color1 = "ORANGE",
				icon = ST[180163],
				desc = 180163,
			},	
			FelBlazeCast = {
				varname = format(L.alert["%s Casting"],SN[180618]),
				type = "centerpopup",
				text = format(L.alert["%s Casting"],SN[180618]),
				time = 10,
				color1 = "RED",
				icon = ST[180618],
				desc = 180618,
			},	
			CinderBreathCast = {
				varname = format(L.alert["%s Casting"],SN[180033]),
				type = "centerpopup",
				text = format(L.alert["%s Casting"],SN[180033]),
				time = 4.5,
				color1 = "ORANGE",
				icon = ST[180033],
				desc = 180033,
			},				
			-- Debuff
			ShreddedArmorDebuff = {
				varname = format(L.alert["%s Debuff"],SN[180200]),
				type = "debuff",
				text = format(L.alert["&dstname_or_YOU&: %s"],SN[180200]),
				time = 30,
				color1 = "RED",
				desc = 180200,
				icon = ST[180200],
				tag = "#5#",
				exdps = true,				
			},					
		},
		events = {
			-- HeartSeeker
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {188929},
				execute = {
					{
						"insert",{"HeartSeekerunits","#5#"},
						"canceltimer","timerHeartSeeker",
						"scheduletimer",{"timerHeartSeeker",0.2},
					},
					{
						"expect",{"&count|HeartSeekerunits&","==","1"},
						"alert",{"HeartSeekerCD", time = 2},
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"announce","HeartSeekersay",
						"batchalert",{"HeartSeekerActive","iHeartSeeker"},
					},
				},
			},
			-- VisionOfDeath
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {182428},
				execute = {	
					{
						"batchalert",{"VisionOfDeathCast","wVisionOfDeath"},
						"set",{visionCount = "INCR|1"},
						"alert",{"VisionofDeathCD", time = 2},
					},				
				},
			},
			-- DeathThroes
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {180224},
				execute = {	
					{
						"set",{deathThroesCount = "INCR|1"},
						"batchalert",{"VisionOfDeathCast","wDeathThroes"},
						"alert",{"VisionofDeathCD", time = 2},
					},				
				},
			},	
			-- ShredArmor
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {180199},
				execute = {	
					{
						"alert","wShredArmor",
						"alert",{"ShredArmorCD", time = 2},
					},				
				},
			},	
			-- ShreddedArmor
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {180200},
				execute = {
					{
						"message","mShreddedArmor",
						"alert","ShreddedArmorDebuff",
					},			
				},
			},	
			-- CleansingAura
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {187089},
				execute = {
					{
						"message","mCleansingAura",
					},			
				},
			},
			-- RendingHowl
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {183917},
				execute = {	
					{
						"alert","wRendingHowl",
					},				
				},
			},
			-- SavageStrikes
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {180163},
				execute = {	
					{
						"alert","SavageStrikesCast",
						"alert","wSavageStrikes",
					},				
				},
			},	
			-- FelBlaze
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {180618},
				execute = {	
					{
						"expect",{"&playerbuff|"..SN[185458].."&","==","true"}, -- Vision of Death
						"batchalert",{"FelBlazeCast","wFelBlaze"},
					},				
				},
			},
			-- CinderBreath
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {180033},
				execute = {	
					{
						"expect",{"&playerbuff|"..SN[185458].."&","==","true"}, -- Vision of Death
						"batchalert",{"CinderBreathCast","wCinderBreath"},
					},				
				},
			},	


			---------------------------------------
			{
				type = "event",
				event = "UNIT_SPELLCAST_SUCCEEDED", 
				execute = {
					{
						"expect",{"#1#","==","boss1"},
						"invoke",{
							{
								"expect",{"#5#","==","182012"}, -- Max Health Increase
								"message","mHulkingTerror",
							},							
						},
					},					
				},
			},	
			{
                type = "event",
                event = "INSTANCE_ENCOUNTER_ENGAGE_UNIT",
                execute = {
					{
						"expect",{"&bossexist|93369&","==","true"}, -- Hulking Terror
						"set",{Addsguid = "&bossexist|93369|true&"},
						"invoke",{
							{
								"expect",{"&tabread|Adds|<Addsguid>&","~=","true"},
								"tabinsert",{"Adds","<Addsguid>","true"},
								"message","mHulkingTerror",
							},
						},
					},
					{
						"expect",{"&bossexist|90521&","==","true"}, -- SalivatingBloodthirster
						"set",{Addsguid = "&bossexist|90521|true&"},
						"invoke",{
							{
								"expect",{"&tabread|Adds|<Addsguid>&","~=","true"},
								"tabinsert",{"Adds","<Addsguid>","true"},
								"message","mSalivatingBloodthirster",
							},
						},
					},
					{
						"expect",{"&bossexist|90477&","==","true"}, -- BloodGlobule
						"set",{Addsguid = "&bossexist|90477|true&"},
						"invoke",{
							{
								"expect",{"&tabread|Adds|<Addsguid>&","~=","true"},
								"tabinsert",{"Adds","<Addsguid>","true"},
								"message","mBloodGlobule",
							},
						},
					},
					{
						"expect",{"&bossexist|90513&","==","true"}, -- FelBloodGlobule
						"set",{Addsguid = "&bossexist|90513|true&"},
						"invoke",{
							{
								"expect",{"&tabread|Adds|<Addsguid>&","~=","true"},
								"tabinsert",{"Adds","<Addsguid>","true"},
								"message","mFelBloodGlobule",
							},
						},
					},							
				},
			},	
		},
	}

	DXE:RegisterEncounter(data)
end