local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST

do
	local data = {
		version = 2,
		key = "ArchmageSol",
		zone = L.zone["Party Module for WoD"],
		category = L.zone["Party Module for WoD"],
		name = L.npc_PartyWoD["EverBloom: Archmage Sol"],
		triggers = {
			scan = {82682,}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {	"boss1", 	},
			unittracing = {	"boss1",},
			defeat = 82682,
		},
		userdata = {
			FrozenRainunists = {type = "container", wipein = 3},
		},	
		timers = {
			timerFrozenRain = {
				{
					"message","mFrozenRain",
				},
			},			
		},		
		messages = {
			mFrozenRain = {
				varname = format(L.alert["%s %s %s"],SN[166726],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s &list|FrozenRainunists&"],SN[166726],L.alert["on"]),
				color1 = "INDIGO",
				sound = "ALERT13",
				desc = 166726,
				icon = ST[166726],
			},		
		},
		onstart = {

		},
		alerts = {
			wParasiticGrowth = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[168885]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[168885]),
				time = 2,
				color1 = "INDIGO",
				icon = ST[168885],
				sound = "ALERT10",
				desc = 168885,
				exhealer = true,
				exdps = true,
			},	
			wFireBloom = {
				varname = format(L.alert["%s!"],SN[166492]),
				type = "simple",
				text = format(L.alert["%s!"],SN[166492]),
				time = 2,
				color1 = "INDIGO",
				icon = ST[166492],
				sound = "ALERT10",
				desc = 166492,
				throttle = 12,
			},
			iFrozenRain = {
				varname = format(L.alert["%s %s!"],SN[166726],L.alert["MOVE AWAY"]),
				type = "simple",
				text = format(L.alert["%s %s!"],SN[166726],L.alert["MOVE AWAY"]),
				time = 2,
				color1 = "RED",
				sound = "ALERT10",
				icon = ST[166726],
				flashscreen = true,
				desc = 166726,
			},			
		},
		events = {
			-- ParasiticGrowth
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {168885},
				execute = {
					{
						"alert","wParasiticGrowth",
					},			
				},
			},	
			-- FireBloom
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {166492, 166572},
				execute = {
					{
						"alert","wFireBloom",
					},				
				},
			},	
			-- FrozenRain
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {166726},
				execute = {
					{
						"insert",{"FrozenRainunists","#5#"},
						"canceltimer","timerFrozenRain",
						"scheduletimer",{"timerFrozenRain",0.5},
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","iFrozenRain",
					},				
				},
			},				
		},
	}

	DXE:RegisterEncounter(data)
end