local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST

do
	local data = {
		version = 3,
		key = "Yalnu",
		zone = L.zone["Party Module for WoD"],
		category = L.zone["Party Module for WoD"],
		name = L.npc_PartyWoD["EverBloom: Yalnu"],
		triggers = {
			scan = {83846,}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {	83846, 	},
			unittracing = {	"boss1",},
			defeat = 83846,
		},
		userdata = {

		},		
		messages = {

		},
		onstart = {
			{
				"alert","FontOfLifeCD",
				"alert",{"GenesisCD", time = 2},
			},
		},
		alerts = {
			FontOfLifeCD = {
				varname = format(L.alert["%s Cooldown"],SN[169120]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[169120]),
				time = 15,
				color1 = "GLOBAL",
				icon = ST[169120],
				desc = 169120,
			},
			GenesisCD = {
				varname = format(L.alert["%s Cooldown"],SN[169613]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[169613]),
				time = 60,
				time2 = 30,
				color1 = "GLOBAL",
				icon = ST[169613],
				desc = 169613,
			},		
			-- Warning
			wColossalBlow = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[169179]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[169179]),
				time = 2,
				color1 = "INDIGO",
				icon = ST[169179],
				sound = "ALERT10",
				desc = 169179,
			},	
			wGenesis = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[169613]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[169613]),
				time = 2,
				color1 = "INDIGO",
				icon = ST[169613],
				sound = "ALERT10",
				desc = 169613,
			},
			wEntanglement = {
				varname = format(L.alert["%s!"],SN[169251]),
				type = "simple",
				text = format(L.alert["%s!"],SN[169251]),
				time = 2,
				color1 = "INDIGO",
				icon = ST[169251],
				sound = "ALERT10",
				desc = 169251,
			},
			wFontofLife = {
				varname = format(L.alert["%s!"],SN[169120]),
				type = "simple",
				text = format(L.alert["%s!"],SN[169120]),
				time = 2,
				color1 = "INDIGO",
				icon = ST[169120],
				sound = "ALERT10",
				desc = 169120,
			},				
			-- Inform
			iEntanglement = {
				varname = format(L.alert["%s %s"],SN[169251],L.alert["SWITCH TARGET"]),
				type = "inform",
				text = format(L.alert["%s %s"],SN[169251],L.alert["SWITCH TARGET"]),
				time = 2,
				color1 = "RED",
				sound = "ALERT10",
				icon = ST[169251],
				exhealer = true,
				extank = true,
				desc = 169251,
			},			
		},
		events = {
			-- ColossalBlow
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {169179},
				execute = {
					{
						"alert","wColossalBlow",
					},			
				},
			},
			-- Genesis
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {169613},
				execute = {
					{
						"batchalert",{"wGenesis","GenesisCD"},
					},			
				},
			},
			-- Entanglement
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_SUCCESS",
				spellid = {169251},
				execute = {
					{
						"batchalert",{"wEntanglement","iEntanglement"},
					},			
				},
			},
			{
				type = "event",
				event = "UNIT_SPELLCAST_SUCCEEDED",
				execute = {
					{
						"expect",{"#5#","==","169120"}, -- FontofLife
						"expect",{"#1#","==","boss1"},
						"batchalert",{"FontOfLifeCD","wFontofLife"},
					},			
				},
			},					
		},
	}

	DXE:RegisterEncounter(data)
end