local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST

do
	local data = {
		version = 3,
		key = "Rocket And Borka",
		zone = L.zone["Party Module for WoD"],
		category = L.zone["Party Module for WoD"],
		name = L.npc_PartyWoD["GrimRailDepot: Rocket And Borka"],
		triggers = {
			scan = {77803, 77816}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {	"boss1", "boss2", },
			unittracing = {	"boss1","boss2"},
			defeat = {	77803, 77816, 	}
		},
		userdata = {
			vxCast = 0,
			SlamCast = 0,
			borkaID = "noid",
			istanking = "false",
			--rocketsName = "&ej_getspellinfo|9430&",
		},
		timers = {	
			timerstartfight = {
				{
					"expect",{"&unitexist|boss1&","==","1"},
					"expect",{"&bossid|boss1&","==","77816"},
					"set",{borkaID = "boss1"},
				},
				{
					"expect",{"&unitexist|boss2&","==","1"},
					"expect",{"&bossid|boss1&","==","77816"},
					"set",{borkaID = "boss2"},
				},
			},
		},		
		messages = {
			mVX18B = {
				varname = format(L.alert["%s %s (3)"],L.alert["Incoming"],SN[153247]),
				type = "message",
				text = format(L.alert["%s %s (<vxCast>)"],L.alert["Incoming"],SN[153247]),
				color1 = "INDIGO",
				sound = "ALERT13",
				desc = 149975,
				icon = ST[149975],
			},
		},
		onstart = {
			{
				"alert",{"SlamCD", time = 2},
				"alert",{"X2101AMissileCD", time = 2},
				"scheduletimer",{"timerstartfight",1},
			},
		},
		alerts = {
			VX18BCD = {
				varname = format(L.alert["%s Cooldown"],SN[162500]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[162500]),
				time = 33,
				time2 = 7,
				color1 = "GLOBAL",
				icon = ST[162500],
				desc = 162500,
			},	
			X2101AMissileCD = {
				varname = format(L.alert["%s Cooldown"],SN[162407]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[162407]),
				time = 40,
				time2 = 18.5,
				color1 = "GLOBAL",
				icon = ST[162407],
				desc = 162407,
			},	
			MadDashCD = {
				varname = format(L.alert["%s Cooldown"],SN[161090]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[161090]),
				time = 40,
				color1 = "GLOBAL",
				icon = ST[161090],
				desc = 161090,
			},
			SlamCD = {
				varname = format(L.alert["%s Cooldown"],SN[162617]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[162617]),
				time = 15,
				time2 = 9,
				time3 = 30,
				color1 = "GLOBAL",
				icon = ST[162617],
				desc = 162617,
			},
			-- Warning
			wMadDash = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[161090]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[161090]),
				time = 2,
				color1 = "INDIGO",
				icon = ST[161090],
				sound = "ALERT10",
				desc = 161090,
			},
			wX2101AMissile = {
				varname = format(L.alert["%s %s"],L.alert["Incoming"],SN[162407]),
				type = "simple",
				text = format(L.alert["%s %s"],L.alert["Incoming"],SN[162407]),
				time = 2,
				color1 = "INDIGO",
				icon = ST[162407],
				sound = "ALERT11",
				desc = 162407,
			},			
			-- Inform
			iMadDash = {
				varname = format(L.alert["%s - %s"],SN[161090],L.alert["INTERRUPT"]),
				type = "inform",
				text = format(L.alert["%s - %s &bossname|boss1&"],SN[161090],L.alert["INTERRUPT"]),
				time = 2,
				color1 = "RED",
				sound = "ALERT10",
				icon = ST[161090],
				desc = 161090,
				exhealer = true,
			},			
		},
		events = {
			-- MadDash
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {161090},
				execute = {
					{
						"set",{SlamCast = "0"},
					},
					{
						"expect",{"<borkaID>","==","noid"},
						"scheduletimer",{"timerstartfight",0.1},
					},
					{
						"expect",{"<borkaID>","~=","noid"},
						"set",{istanking = "&istargettank|player|<borkaID>&"},
						"invoke",{
							{
								"expect",{"<istanking>","==","true"},
								"alert","iMadDash",
							},
							{
								"expect",{"<istanking>","~=","true"},
								"alert","wMadDash",
							},							
						},
					},						
				},
			},	
			-- VX18B
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {161090},
				execute = {
					{
						"set",{vxCast = "INCR|1"},
						"message","mVX18B",
					},
					{
						"expect",{"<vxCast>","~=","2"},
						"alert",{"VX18BCD", time = 2},
					},						
					{
						"expect",{"<vxCast>","==","2"},
						"alert","VX18BCD",
					},					
				},
			},
			-- X2101AMissile
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {162407},
				execute = {
					{
						"set",{vxCast = "0"},
						"batchalert",{"X2101AMissileCD","wX2101AMissile"},
					},				
				},
			},
			-- Slam
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {162617},
				execute = {
					{
						"set",{SlamCast = "INCR|1"},
					},	
					{
						"expect",{"<SlamCast>","==","2"},
						"alert",{"SlamCD", time = 3},
					},						
					{
						"expect",{"<SlamCast>","~=","2"},
						"alert","SlamCD",
					},					
				},
			},
			-----------------------
			{
				type = "combatevent",
				eventtype = "UNIT_DIED",
				execute = {
					{
						"expect",{"&npcid|#4#&","==","77816"},
						"quash","MadDashCD",
					},
					{
						"expect",{"&npcid|#4#&","==","77803"},
						"quash","X2101AMissileCD",
					},						
				},
			},			
		},
	}

	DXE:RegisterEncounter(data)
end